package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcVoteResult;

/**
 * 议事投票情况Mapper接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface SzxcVoteResultMapper 
{
    /**
     * 查询议事投票情况
     * 
     * @param id 议事投票情况主键
     * @return 议事投票情况
     */
    public SzxcVoteResult selectSzxcVoteResultById(Long id);

    /**
     * 查询议事投票情况列表
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 议事投票情况集合
     */
    public List<SzxcVoteResult> selectSzxcVoteResultList(SzxcVoteResult szxcVoteResult);

    /**
     * 新增议事投票情况
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 结果
     */
    public int insertSzxcVoteResult(SzxcVoteResult szxcVoteResult);

    /**
     * 修改议事投票情况
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 结果
     */
    public int updateSzxcVoteResult(SzxcVoteResult szxcVoteResult);

    /**
     * 删除议事投票情况
     * 
     * @param id 议事投票情况主键
     * @return 结果
     */
    public int deleteSzxcVoteResultById(Long id);

    /**
     * 批量删除议事投票情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcVoteResultByIds(Long[] ids);
}
